/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2006/12/13
 *
 */
package com.kickmogu.rhythm.core;

public class BaseResult {
	private int statusCode = 0;
	private String statusMessage = "";
	// 呼び出し側に戻す何らかの値
	private Object result;
	
	/**
	 * @return result を戻します。
	 */
	public Object getResult() {
		return result;
	}
	/**
	 * @param result result を設定。
	 */
	public void setResult(Object result) {
		this.result = result;
	}
	/**
	 * @return statusCode を戻します。
	 */
	public int getStatusCode() {
		return statusCode;
	}
	/**
	 * @param statusCode statusCode を設定。
	 */
	public void setStatusCode(int statusCode) {
		this.statusCode = statusCode;
	}
	/**
	 * @return statusMessage を戻します。
	 */
	public String getStatusMessage() {
		return statusMessage;
	}
	/**
	 * @param statusMessage statusMessage を設定。
	 */
	public void setStatusMessage(String statusMessage) {
		this.statusMessage = statusMessage;
	}
}
